import { IDeliveryClientConfig } from '../../config';
import { IGroupedNetworkResponse, IKontentListAllResponse, IKontentListResponse, IDeliveryNetworkResponse, IListAllQueryConfig, IQueryConfig, IContentItem, ClientTypes } from '../../models';
import { QueryService } from '../../services';
import { BaseQuery } from './base-query.class';
export declare abstract class BaseListingQuery<TClientTypes extends ClientTypes, TResponse extends IKontentListResponse, TAllResponse extends IKontentListAllResponse, TQueryConfig extends IQueryConfig, TContract> extends BaseQuery<TClientTypes, TResponse, TQueryConfig, TContract> {
    protected config: IDeliveryClientConfig;
    protected queryService: QueryService<TClientTypes>;
    constructor(config: IDeliveryClientConfig, queryService: QueryService<TClientTypes>);
    /**
     * Sets continuation token header
     */
    withContinuationToken(token: string): this;
    /**
     * Query to get all items. Uses paging data and may execute multiple HTTP requests depending on number of items
     */
    toAllPromise(queryAllConfig?: IListAllQueryConfig<TResponse, TContract>): Promise<IGroupedNetworkResponse<TAllResponse>>;
    protected abstract allResponseFactory(items: IContentItem[], responses: IDeliveryNetworkResponse<TResponse, TContract>[]): TAllResponse;
    protected linkItemsInRte(allContentItems: IContentItem[]): void;
}
